## perlnavigator 0.6.0~dfsg

=== debian/changelog ===
perlnavigator (0.6.0~dfsg-3) unstable; urgency=medium

  * Team upload
  * Drop depends on node-lru-cache << 8

 -- Bastien Roucariès <rouca@debian.org>  Sun, 28 Jul 2024 22:18:38 +0000

perlnavigator (0.6.0~dfsg-2) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3, 6-13.
  * Add undici-types in modules to copy (Closes: #1058279)

 -- Yadd <yadd@debian.org>  Tue, 12 Dec 2023 14:02:30 +0400

perlnavigator (0.6.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 08:59:44 +0200

perlnavigator (0.5.7~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 10:19:08 +0200

perlnavigator (0.5.5~dfsg-2) unstable; urgency=medium

  * fix package section
  * add patch 1001 to adapt to newer NodeJS module lru-cache v7
  * list as enhancing more language-server clients

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 May 2023 23:48:18 +0200

perlnavigator (0.5.5~dfsg-1) experimental; urgency=low

  * initial release;
    closes: Bug#1036863

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 May 2023 09:15:11 +0200
