=== debian/control ===
Source: perlnavigator
Section: text
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 jq,
 libcapture-tiny-perl <!nocheck>,
 libclass-inspector-perl <!nocheck>,
 libdevel-symdump-perl <!nocheck>,
 node-nanoid,
 node-lru-cache,
 node-typescript,
 node-vscode-languageserver (<< 9),
 node-vscode-languageserver-textdocument (<< 2),
 node-types-whatwg-url,
 node-undici-types,
 perl <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/bscan/PerlNavigator
Vcs-Browser: https://salsa.debian.org/js-team/perlnavigator
Vcs-Git: https://salsa.debian.org/js-team/perlnavigator.git
Rules-Requires-Root: no

Package: perlnavigator
Architecture: all
Depends:
 libclass-inspector-perl,
 libdevel-symdump-perl,
 node-lru-cache,
 node-nanoid,
 node-vscode-languageserver (<< 9),
 node-vscode-languageserver-textdocument (<< 2),
 node-types-whatwg-url,
 nodejs:any,
 ${misc:Depends},
Recommends:
 libperl-critic-perl,
 perlimports,
Provides:
 node-perlnavigator (= ${source:Version}),
 node-perlnavigator-server  (= ${server:Version}),
Enhances:
 elpa-eglot,
 elpa-lsp-mode,
 kate,
 neovim,
 qtcreator,
 spyder,
 ycmd,
 vim-ale,
Description: Perl Language Server for the Language Server Protocol (LSP)
 Perl Navigator Language Server
 provides syntax checking, autocompletion, perlcritic,
 code navigation and hover for Perl.
 .
 Implemented as a Language Server in NodeJS
 using the Microsoft LSP libraries
 along with Perl doing the syntax checking and parsing.
